### Method

# ECal ComponentText set_altrep

since: 3.34

#### Declaration [src]

    void
    e_cal_component_text_set_altrep (
      ECalComponentText* text,
      const gchar* altrep
    )

#### Description [src]

Set the `altrep` as the alternate representation URI of the `text`.

Available since: 3.34

#### Parameters

`altrep`

  Type: `const gchar*`

  Alternate representation URI to set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.